#539 Legacy won't run

Always occurs!
closed-out-of-date
nobody
OpenGL (90)
3
2011-03-10
2010-03-15
No

When I use the launcher to run Legacy in any mode other than software mode, the screen immediately goes black and then I receive the message "signal handler () : segment violation", and I'm returned to the launcher. I can run it in software mode with no problems. I am using the original doom.wad and doom2.wad. Both have the same problem.

I'm using Legacy v1.42, Windows XP SP3, nVidia 9800 GT, 2GB RAM, with up-to-date graphics drivers. My monitor is a 24" widescreen. I have tried to fiddle with different resolution settings in the config.cfg file but this makes no difference.

I last played Legacy over a year ago, when I had a different graphics card, an nVidia 8800GTX with the same computer, which ran Legacy with no bugs at all.

I've included my error log. Thanks.

Discussion

  • Simon Adebisi

    Simon Adebisi - 2010-03-15

    Error Log

     
  • Wesley Johnson

    Wesley Johnson - 2010-06-15

    Other mode than software-renderer means OpenGL, and video card problems with OpenGL have to do with your installation of SDL, which may be too old for your new video card. The older SDL versions were not finished with their OpenGL support. I run an old SDL, but I also have an old nVidia card. I had to install latest drivers from nVidia to get any OpenGL working (on Linux).

    The Launcher itself is old software that is not actively supported. I never use it myself.
    There is a doc about the Launcher (in docs directory) that has the latest info on that.

     
  • Wesley Johnson

    Wesley Johnson - 2010-06-15

    Your errlog shows a segfault. Legacy 1.44 (not released yet, in SVN), has fixed a number of segfault cases, but I do not remember any specific to this scenario. The Doom wads
    have always been stable.

     
  • Mr.Rocket

    Mr.Rocket - 2010-06-20

    With Nvidia cards, at the moment there is an option that has been disabled in its game profile and Opengl.
    To fix, go into the Nvidia control panle.
    After adding the Legacy.exe app to the program list, Extension limited needs to be turned "On".
    From that point Opengl should work with Legacy.

     
  • Ville Bergholm

    Ville Bergholm - 2010-10-12
    • labels: --> OpenGL
    • status: open --> open-out-of-date
     
  • Ville Bergholm

    Ville Bergholm - 2010-10-12
    • priority: 5 --> 7
     
  • Wesley Johnson

    Wesley Johnson - 2011-02-22
    • priority: 7 --> 3
    • status: open-out-of-date --> open-remind
     
  • Ville Bergholm

    Ville Bergholm - 2011-03-10
    • status: open-remind --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks